GET/api/v4/locations/{locationId}/review-analytics-sites-stats

사이트별 리뷰 분석 조회

한 사업장의 리뷰 수, 평점, 최신성을 소스별로 구분하여 반환합니다.

API 키가 필요합니다. 헤더 형식과 키 교체는 인증을 참고하세요.

매개변수

경로

이름유형필수설명
locationIdstring필수Location ID, a raw numeric database ID (e.g. `1800289`) or its Base64-encoded Relay ID (e.g. `TG9jYXRpb246MTgwMDI4OQ==`).

쿼리

이름유형필수설명기본값
startDatestring선택Start of the comparison period (`YYYY-MM-DD`). The `delta` fields compare this period against the previous equivalent one.—
endDatestring선택End of the comparison period (`YYYY-MM-DD`).—

응답

200One entry per review source configured for the location. Response key `interactionsSitesStats`.
Response
{  "data": {    "interactionsSitesStats": {      "stats": [        {          "key": "google",          "siteUrl": "maps.google.com",          "averageRating": { "value": 4.6, "delta": 2.2 },          "totalInteractions": { "value": 412, "delta": 6.1 },          "newInteractions": { "value": 24, "delta": 33.3 },          "recency": "2026-09-06T14:12:00Z",          "baseRating": 4.5,          "baseInteractions": 388,          "humanizedRecency": "3 days ago"        },        {          "key": "facebook",          "siteUrl": "facebook.com",          "averageRating": { "value": 4.1, "delta": -1.4 },          "totalInteractions": { "value": 57, "delta": 0 },          "newInteractions": { "value": 0, "delta": -100 },          "recency": null,          "baseRating": 4.16,          "baseInteractions": 57,          "humanizedRecency": null        }      ]    }  }}
401Unauthenticated, missing or invalid API key.
403The key is valid but not permitted to read this location (`SY90003`).

사업장의 리뷰 성과를 소스별로 나누어 어떤 플랫폼이 변화를 일으키는지 확인할 수 있습니다. 상호작용 분석 조회(전체 KPI) 및 리뷰 분석 타임라인 조회(일별 시계열)에 대응하는 사이트별 분석 기능입니다.

stats의 각 항목은 하나의 리뷰 소스를 설명합니다.

  • key / siteUrl: 소스의 짧은 키와 사이트 URL입니다. siteUrl은 사업장의 리뷰 소스 목록 조회의 siteSettings[].name과 일치합니다.
  • averageRating, totalInteractions, newInteractions: 각각 요청한 기간의 value와 직전 동일 길이의 기간 대비 변화율(%)인 delta를 포함하는 객체입니다.
  • baseRating / baseInteractions: 기간 시작 시점의 해당 값이며, delta를 측정하는 기준이 됩니다.
  • recency: 해당 소스의 가장 최근 리뷰 타임스탬프이며, 소스가 리뷰를 반환한 적이 없으면 null입니다.
  • humanizedRecency: 같은 시점을 표시용으로 표현한 값입니다("3일 전").

사용 사례: 평균을 변화시킨 플랫폼 찾기

사업장의 전체 평점이 하락하면 이 엔드포인트로 어느 플랫폼에서 하락했는지 확인할 수 있습니다. 소스별로 averageRating.delta를 살펴보면, 다른 소스는 변화가 없는데 한 소스만 크게 음수라면 해당 플랫폼이 원인이고, 여러 소스가 전반적으로 음수라면 매장 자체가 원인일 가능성이 큽니다. recency가 몇 달 전인 소스에서 newInteractions.value가 0이면 일반적으로 고객이 리뷰 작성을 중단했다기보다 연결이 더 이상 최신 데이터를 가져오지 못한다는 의미이므로, 사업장의 리뷰 소스 목록 조회로 교차 확인합니다.

위 응답은 예시입니다.

Request
curl -X GET 'https://listingsapi.com/api/v4/locations/<locationId>/review-analytics-sites-stats' \  -H "Authorization: API $LISTINGSAPI_KEY"